---
title: DocumentOrShadowRoot.pointerLockElement
slug: Web/API/DocumentOrShadowRoot/pointerLockElement
tags:
  - API
  - DOM
  - Document
  - Property
  - Reference
  - ShadowRoot
  - mouse lock
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The <strong><code>pointerLockElement</code></strong> property of the {{domxref("Document")}} and {{domxref("ShadowRoot")}} interfaces provides the element set as the target for mouse events while the pointer is locked. It is <code>null</code> if lock is pending, pointer is unlocked, or the target is in another document.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>element</var> = <var>document</var>.pointerLockElement;
</pre>

<h3 id="Return_value">Return value</h3>

<p>An {{domxref("Element")}} or <code>null</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Pointer Lock','#extensions-to-the-documentorshadowroot-mixin','pointerLockElement')}}</td>
   <td>{{Spec2('Pointer Lock')}}</td>
   <td>Extend the <code>Document</code> interface</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DocumentOrShadowRoot.pointerLockElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("Document.exitPointerLock()") }}</li>
 <li>{{ domxref("Element.requestPointerLock()") }}</li>
 <li><a href="/en-US/docs/WebAPI/Pointer_Lock">Pointer Lock</a></li>
</ul>
